org.apache.lucene.search.suggest

## Class Lookup.LookupPriorityQueue

- java.lang.Object
- - org.apache.lucene.util.PriorityQueue<Lookup.LookupResult>
  - - org.apache.lucene.search.suggest.Lookup.LookupPriorityQueue

- Enclosing class:
    Lookup

      public static final class Lookup.LookupPriorityQueue
      extends PriorityQueue<Lookup.LookupResult>

  A `PriorityQueue` collecting a fixed size of high priority `Lookup.LookupResult`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Lookup.LookupPriorityQueue(int size)` Creates a new priority queue of the specified size.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Lookup.LookupResult[]` | `getResults()` Returns the top N results in descending order.
    `protected boolean` | `lessThan(Lookup.LookupResult a, Lookup.LookupResult b)`

    - ### Methods inherited from class org.apache.lucene.util.PriorityQueue

      `add, clear, getHeapArray, getSentinelObject, insertWithOverflow, pop, size, top, updateTop`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Lookup.LookupPriorityQueue

          public Lookup.LookupPriorityQueue(int size)

      Creates a new priority queue of the specified size.

  - ### Method Detail

    - #### lessThan

          protected boolean lessThan(Lookup.LookupResult a,
                         Lookup.LookupResult b)

      Specified by:
        `lessThan` in class `PriorityQueue<Lookup.LookupResult>`

    - #### getResults

          public Lookup.LookupResult[] getResults()

      Returns the top N results in descending order.
      Returns:
        the top N results in descending order.

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.